#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	bc
Version		:	6.7.5
Release		:	17.0.10.rel%{?dist}
Summary		:	GNU's bc (a numeric processing language) and dc (a calculator)
Group		:	Applications/Engineering

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/gavinhoward/bc
			#http://www.gnu.org/software/bc/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
The bc package includes bc and dc. Bc is an arbitrary precision
numeric processing arithmetic language. Dc is an interactive
arbitrary precision stack based calculator, which can be used as a
text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/dc
%{_datadir}/locale/*/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/dc.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

CC=gcc CFLAGS="-std=c99" 				\
PREFIX=%{_prefix}					\
./configure.sh						\
	-G						\
	-g						\
	-O3						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make}						\
	check


#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
